function airline_v1_1(FlightNum, flight_data_server_url, unique_id) 
{
    this.update_location = update_location;
    this.highlight = highlight;
    this.show_info = show_info;
    this.info_table_func = null;
    this.change_color = change_color;
    this.set_emergency_flag = set_emergency_flag;
    this.set_info_table_func = set_info_table_func;
    this.Flight_num = FlightNum;

    var unq_id =  unique_id;
    var info_table_func = null;
    var data_url = flight_data_server_url + "?FlightNo=" + FlightNum;

    function update_location (nx, ny, dir) {
	// Set new location of the Flight
	var svgobj = SVG_Document.getElementById('al_loc_' + unq_id);
	var trans_str = 'translate(' +nx+ ',' +ny+')';
	if (svgobj != null)
		svgobj.setAttribute('transform', trans_str);
	
	// Set new angular direction of the Flight.
	var svgobj = SVG_Document.getElementById('al_img_' + unq_id);
	var trans_str = 'rotate('+dir+')';
	if (svgobj != null)
		svgobj.setAttribute('transform', trans_str);
    }

    function set_info_table_func (Display_func_name) {
    	info_table_func = Display_func_name;
    }

    function highlight( stat ) {
	var svgobj = SVG_Document.getElementById('al_grp_' + unq_id);
	if (svgobj != null){
		if (stat == 0) {	// In case of mouse-over event.
			// Decrees the scale to reduce the size.
			svgobj.setAttribute('transform', 'scale(0.25)');
		}
		else {			// In case of mouse-out event.
			// Increase the scale to magnify the Image size.
			svgobj.setAttribute('transform', 'scale(0.75)');
		}
	}
    }

    // The Ajax function that is called upon arrival of the XML-data
    // This is just a companion function for the next Ajax function
    function func_to_get_xml_data(data) {
	if(data.success)
		info_table_func ( data.content );
	return;
    }
    // The following function makes an AJAX call to the server
    function show_info ( ) {
	// If Function to call the Table for displaying data is set
	if(info_table_func != null)   // Makes Ajax call to server
		getURL(data_url, func_to_get_xml_data);
	// Note: In SVG, getURL() is equivalent to XMLHttpRequest()
    }

    // Let me sneek in couple of potential useful service functions.
    function set_emergency_flag (state) {
        var svgobj = SVG_Document.getElementById('al_clue_' + unq_id);
    	(svgobj.getStyle()).setProperty ('visibility', (state == 1) ? 'visible' : 'hidden');
    }
    // This function may be called to change the color of the Flight-image.
    function change_color( new_col ) {
	var svgobj = SVG_Document.getElementById('al_img_' + unq_id);
	if (svgobj != null)
		(svgobj.getStyle()).setProperty ('fill', new_col);
    }
}